# GetExclusionCollection

Gets an exclusion collection by id.

`GET /api/v2/exclusionCollections/{id}`

**API:** AFC SaaS Pro REST v2
**Tag:** Customizations
**API Version:** v2
**Authentication:** Basic (username + license key) or Bearer token

Source: https://developer.avalara.com/products/communications/api/v2/methods/Customizations/GetExclusionCollection/

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `client_id` | integer | header | Yes | The client id. |
| `id` | integer | path | Yes | The id. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | OK | `ExclusionCollectionDto` |
| 404 | Not Found | `ProblemDetails` |

### 200 Response: `ExclusionCollectionDto`

An exclusion collection domain transfer object.

| Property | Type | Required | Description |
|---|---|---|---|
| `id` | integer | No | The unique identifier. |
| `name` | string | No | The name. |
| `exclusions` | ExclusionDto[] | No | The exclusions. |
| `createdBy` | string | No | The user who created the exclusion collection. |
| `createdDate` | string | No | The date and time the exclusion collection was created. |
| `updatedBy` | string | No | The user who last updated the exclusion collection. |
| `updatedDate` | string | No | The date and time the exclusion collection was last updated. |